aim4.sim

## Class AutoDriverOnlySimulator

- java.lang.Object
- - aim4.sim.AutoDriverOnlySimulator

- All Implemented Interfaces:
    Simulator

      public class AutoDriverOnlySimulator
      extends Object
      implements Simulator

  The autonomous drivers only simulator.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AutoDriverOnlySimulator.AutoDriverOnlySimStepResult` The result of a simulation step.

    - ### Nested classes/interfaces inherited from interface aim4.sim.Simulator

      `Simulator.SimStepResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoDriverOnlySimulator(BasicMap basicMap)` Create an instance of the simulator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProxyVehicle(ProxyVehicleSimView vehicle)` Add the proxy vehicle to the simulator for the mixed reality experiments.
    `VehicleSimView` | `getActiveVehicle(int vin)` Get a particular active vehicle via a given VIN.
    `Set<VehicleSimView>` | `getActiveVehicles()` Get the set of all active vehicles in the simulation.
    `double` | `getAvgBitsReceivedByCompletedVehicles()` Get average number of bits received by completed vehicles.
    `double` | `getAvgBitsTransmittedByCompletedVehicles()` Get average number of bits transmitted by completed vehicles.
    `BasicMap` | `getMap()` Get the layout of the simulation.
    `int` | `getNumCompletedVehicles()` Get the number of vehicles that has reached their destinations.
    `double` | `getSimulationTime()` Get the total amount of simulation time has run.
    `AutoDriverOnlySimulator.AutoDriverOnlySimStepResult` | `step(double timeStep)` Move the simulator a time step forward.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoDriverOnlySimulator

          public AutoDriverOnlySimulator(BasicMap basicMap)

      Create an instance of the simulator.
      Parameters:
        `basicMap` - the map of the simulation

  - ### Method Detail

    - #### step

          public AutoDriverOnlySimulator.AutoDriverOnlySimStepResult step(double timeStep)

      Move the simulator a time step forward.
      Specified by:
        `step` in interface `Simulator`
      Parameters:
        `timeStep` - the amount of time the simulation should run in this time step

    - #### getMap

          public BasicMap getMap()

      Get the layout of the simulation.
      Specified by:
        `getMap` in interface `Simulator`
      Returns:
        the layout of the simulation.

    - #### getSimulationTime

          public double getSimulationTime()

      Get the total amount of simulation time has run.
      Specified by:
        `getSimulationTime` in interface `Simulator`
      Returns:
        the simulation time.

    - #### getNumCompletedVehicles

          public int getNumCompletedVehicles()

      Get the number of vehicles that has reached their destinations.
      Specified by:
        `getNumCompletedVehicles` in interface `Simulator`
      Returns:
        the number of vehicles that has reached their destinations

    - #### getAvgBitsTransmittedByCompletedVehicles

          public double getAvgBitsTransmittedByCompletedVehicles()

      Get average number of bits transmitted by completed vehicles.
      Specified by:
        `getAvgBitsTransmittedByCompletedVehicles` in interface `Simulator`
      Returns:
        the average number of bits transmitted by completed vehicles

    - #### getAvgBitsReceivedByCompletedVehicles

          public double getAvgBitsReceivedByCompletedVehicles()

      Get average number of bits received by completed vehicles.
      Specified by:
        `getAvgBitsReceivedByCompletedVehicles` in interface `Simulator`
      Returns:
        the average number of bits received by completed vehicles

    - #### getActiveVehicles

          public Set<VehicleSimView> getActiveVehicles()

      Get the set of all active vehicles in the simulation.
      Specified by:
        `getActiveVehicles` in interface `Simulator`
      Returns:
        the set of all active vehicles in the simulation

    - #### getActiveVehicle

          public VehicleSimView getActiveVehicle(int vin)

      Get a particular active vehicle via a given VIN.
      Specified by:
        `getActiveVehicle` in interface `Simulator`
      Parameters:
        `vin` - the VIN number of the vehicle
      Returns:
        the active vehicle

    - #### addProxyVehicle

          public void addProxyVehicle(ProxyVehicleSimView vehicle)

      Add the proxy vehicle to the simulator for the mixed reality experiments.
      Specified by:
        `addProxyVehicle` in interface `Simulator`
      Parameters:
        `vehicle` - the proxy vehicle

Copyright © 2013. All rights reserved.